# Method: accounts.proposals.addNote

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/addNote#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/addNote#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/addNote#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/addNote#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/addNote#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/addNote#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/addNote#try-it)

Create a new note and attach it to the proposal. The note is assigned a unique ID by the server. The proposal revision number will not increase when associated with a new note.

### HTTP request

`POST https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/proposals/{proposalId}:addNote`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` Account ID of the buyer. |
| `proposalId` | `string` The ID of the proposal to attach the note to. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "note": { object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals#Note`) } } ``` |

| Fields ||
|---|---|
| `note` | ``object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals#Note`)`` Details of the note to add. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals#Note`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`